org.eclnt.jsfserver.elements.impl

## Class ARRAYGRIDListBinding<T extends ARRAYGRIDItem>

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding<ItemClass>
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding<T>
    - - org.eclnt.jsfserver.elements.impl.ARRAYGRIDListBinding<T>

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDBinding<T>, IListWithChangeIndexListener, IDynamicContentBindingObject

      public class ARRAYGRIDListBinding<T extends ARRAYGRIDItem>
      extends FIXGRIDListBinding<T>

  Counter part of ARRAGRID component. The ARRAYGRID allows to define output-only grids - the column structure is defined by the binding (and not by the layout definition).
  The minimum definitions you need to do is:
  (1.) `setTitles(String[])`
  (2.) `setWidths(String[])`
  (3.) and `ARRAYGRIDItem.setValues(Object[])` within the item objects
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `FIXGRIDBinding.Exporter, FIXGRIDBinding.FormattedValue, FIXGRIDBinding.ScrollHelper, FIXGRIDBinding.SortHelper, FIXGRIDBinding.TextSearcher`

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `IFIXGRIDBinding.FIXGRIDSortInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTROLTYPE_DEFAULT`
    `static int` | `CONTROLTYPE_FORMATTEDFIELD`
    `static int` | `CONTROLTYPE_IMAGE`
    `static int` | `CONTROLTYPE_TEXTAREA`
    `static java.lang.String` | `TEXT_GRIDROWINDEX`
    `static java.lang.String` | `TEXT_GRIDROWSELECTOR`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `m_columnsequence, m_currentlyFocussedItem, m_defaultColumnsequence, m_firstItemForShiftSelection, m_initialized, m_modcolumnwidths, m_numberoffooterrows, m_numberofheaderrows, m_objectBinding, m_previouslyFocussedItem, m_sbvalue, m_sbvisibleamount, m_selectedItems, m_sortInfo, m_this`

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `SORT_ASCENDING, SORT_DESCENDING, SORT_UNSORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARRAYGRIDListBinding()` By default the change index is supported within ARRAYGRIDListBinding objects.
    `ARRAYGRIDListBinding(boolean changeIndexIsSupported)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAligns()`
    `int[]` | `getControltypes()` Explicit definition of control type used for a certain columns.
    `java.lang.String[]` | `getFormatmasks()` Format mask definitions fot the columns ("short","medium","long","dec2",...
    `java.lang.String[]` | `getFormats()` Format definitions fot the columns ("int","float","date",...
    `boolean[]` | `getSearchenableds()` Indicator for each column, if a right-mouse-button-search in the title column is enabled.
    `int` | `getStructureChangeIndex()` A change of the structure is indicated by the change index.
    `java.lang.String[]` | `getTimezones()` Time zone definitions for these columns representing date or time values.
    `java.lang.String[]` | `getTitlealigns()`
    `java.lang.String[]` | `getTitlebackgrounds()` Background colors for title columns (e.g.
    `java.lang.String[]` | `getTitleforegrounds()` Foreground colors for title columns (e.g.
    `java.lang.String[]` | `getTitles()`
    `java.lang.String[]` | `getTitleTooltips()` Tooltips that are defined for the title columns.
    `java.lang.String[]` | `getWidths()`
    `void` | `setAligns(java.lang.String[] aligns)` Alignments for the columns ("left","center","right","left!"
    `void` | `setControltypes(int[] controltypes)`
    `void` | `setFormatmasks(java.lang.String[] formatmasks)`
    `void` | `setFormats(java.lang.String[] formats)`
    `void` | `setSearchenableds(boolean[] searchenableds)`
    `void` | `setTimezones(java.lang.String[] timezones)`
    `void` | `setTitlealigns(java.lang.String[] titlealigns)` Alignments for the title columns ("left","center","right","left!"
    `void` | `setTitlebackgrounds(java.lang.String[] titlebackgrounds)`
    `void` | `setTitleforegrounds(java.lang.String[] titleforegrounds)`
    `void` | `setTitles(java.lang.String[] values)` Titles for the columns.
    `void` | `setTitleTooltips(java.lang.String[] titleTooltips)`
    `void` | `setWidths(java.lang.String[] values)` Widths for the columns.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding

      `createItems, deselectItem, ensureItemToBeDisplayed, ensureItemToBeDisplayed, fillShiftSelection, getItems, getListOfItems, getRows, getSbmaximum, getSelectedItemsAsSequence, listChanged, listItemWasAdded, listItemWasRemoved, processSearch, selectItem, setItems, setSbvalue, setSbvalue, sortGrid`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `applyPersistentData, checkIfCellsAreHighlighted, checkIfChangeIndexIsSupported, clearSortInfo, connectWithBinding, createDefaultStringComparator, createExporter, createScrollHelper, createTextSearcher, deselectCurrentSelection, deselectItem, deselectItem, deselectItemWCB, executeOnInitializedGrid, findSortComparatorForColumnValue, getAltPressedOfLastSelection, getClientvisibleamount, getColumnIndexOfLastSelection, getColumnInfos, getColumnsequence, getColumnTexts, getConnectedBinding, getCtrlPressedOfLastSelection, getCurrentColumWdithSequenceInfo, getCurrentHorizontalScrollPosition, getDefaultColumnsequence, getExportableColumns, getExportableColumns, getExporter, getFixgridComponent, getIndextobevisibleOfItems, getListOfExportItems, getModcolumnwidths, getModcolumnwidthsAsArray, getMouseButtonOfLastSelection, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getOriginalcolumnwidths, getOriginalcolumnwidthsAsArray, getRowDataUI, getSbvalue, getSbvisibleamount, getScrollHelper, getSelectedItem, getSelectedItems, getShiftPressedOfLastSelection, getSortInfo, getSortInfoForReference, getTextSearcher, getToBeAccessedNode, getToBeAccessedNodeExpression, getToBeAccessedNodeFormatmaskValue, getToBeAccessedNodeFormattedValue, getToBeAccessedNodeFormatValue, getToBeAccessedNodeStringValue, getToBeAccessedNodeTimezoneValue, getToBeAccessedNodeValue, getVisibleColumns, getVisibleColumns, init_CONTENTTYPE_EXPORT_CSV, init_CONTENTTYPE_EXPORT_PDF, init_CONTENTTYPE_EXPORT_XLSX, init_CONTENTTYPE_EXPORT_XML, initialize, initPopupEditColumnDetailsUndecorated, initPopupGridFunctionsUndecorated, initTextSearcherShowSearchInfoPopup, isCurrentlyProcessingGridAction, isInitialized, isItemSelected, moveUpDown, onClearCellHighlight, onColumnSequenceUpdated, onColumnWidthsUpdated, onDrop, onEditColumnDetails, onFirstLineUp, onGridAction, onGridActionExecute, onLastLineDown, onOpenGridExportFunctions, onOpenGridFunctions, onPopupMenuItem, onPopupMenuLoad, onSelectionUpdateByClientActivity, onSelectorTitleIconInvoked, openEditColumnDetailsPopup, openGridExportFunctionsPopup, openGridFunctionsPopup, passComponentData, processMultipleSort, processMultipleSort, processSort, renderingBegins, resort, scrollHorizontallyToLastClientPosition, scrollHorizontallyToPosition, selectAndFocusItem, selectItem, selectItem, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setCurrentlyProcessingGridAction, setDefaultColumnsequence, setIndextobevisibleOfItems, setModcolumnwidth, setModcolumnwidths, setModcolumnwidthsArray, setModcolumnwidthsList, setObjecttobevisibleOfItems, setSbvalue, setSbvisibleamount, setToBeAccessedNode, sort, storePersistentData, storePersistentDataImplicitly, unhighlightAllCells, updateHighlight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `checkIfChangeIndexIsSupported, getClientvisibleamount, getColumnsequence, getConnectedBinding, getExportableColumns, getExportableColumns, getIndextobevisibleOfItems, getModcolumnwidths, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getSbvalue, getSbvisibleamount, getSortInfo, getSortInfoForReference, getVisibleColumns, getVisibleColumns, passComponentData, renderingBegins, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setIndextobevisibleOfItems, setModcolumnwidths, setObjecttobevisibleOfItems, setSbvisibleamount`

- - ### Field Detail

    - #### CONTROLTYPE_DEFAULT

          public static final int CONTROLTYPE_DEFAULT

      See Also:
        Constant Field Values

    - #### CONTROLTYPE_FORMATTEDFIELD

          public static final int CONTROLTYPE_FORMATTEDFIELD

      See Also:
        Constant Field Values

    - #### CONTROLTYPE_TEXTAREA

          public static final int CONTROLTYPE_TEXTAREA

      See Also:
        Constant Field Values

    - #### CONTROLTYPE_IMAGE

          public static final int CONTROLTYPE_IMAGE

      See Also:
        Constant Field Values

    - #### TEXT_GRIDROWINDEX

          public static final java.lang.String TEXT_GRIDROWINDEX

      See Also:
        Constant Field Values

    - #### TEXT_GRIDROWSELECTOR

          public static final java.lang.String TEXT_GRIDROWSELECTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ARRAYGRIDListBinding

          public ARRAYGRIDListBinding()

      By default the change index is supported within ARRAYGRIDListBinding objects. This is different compared to the normal FIXGRIDListBinding, where by default the change index is not supported.

    - #### ARRAYGRIDListBinding

          public ARRAYGRIDListBinding(boolean changeIndexIsSupported)

  - ### Method Detail

    - #### setTitles

          public void setTitles(java.lang.String[] values)

      Titles for the columns.

    - #### getTitles

          public java.lang.String[] getTitles()

    - #### setWidths

          public void setWidths(java.lang.String[] values)

      Widths for the columns.

    - #### getWidths

          public java.lang.String[] getWidths()

    - #### setAligns

          public void setAligns(java.lang.String[] aligns)

      Alignments for the columns ("left","center","right","left!","right!",null).

    - #### getAligns

          public java.lang.String[] getAligns()

    - #### setTitlealigns

          public void setTitlealigns(java.lang.String[] titlealigns)

      Alignments for the title columns ("left","center","right","left!","right!",null). Only needs to be defined, when different to content alignment.

    - #### getTitlealigns

          public java.lang.String[] getTitlealigns()

    - #### getTitlebackgrounds

          public java.lang.String[] getTitlebackgrounds()

      Background colors for title columns (e.g. "#FF0000"). Only needs to be defined, when different to default background colors.

    - #### setTitlebackgrounds

          public void setTitlebackgrounds(java.lang.String[] titlebackgrounds)

    - #### getTitleforegrounds

          public java.lang.String[] getTitleforegrounds()

      Foreground colors for title columns (e.g. "#FF0000"). Only needs to be defined, when different to default foreground colors.

    - #### setTitleforegrounds

          public void setTitleforegrounds(java.lang.String[] titleforegrounds)

    - #### getFormats

          public java.lang.String[] getFormats()

      Format definitions fot the columns ("int","float","date",...,null)

    - #### setFormats

          public void setFormats(java.lang.String[] formats)

    - #### getFormatmasks

          public java.lang.String[] getFormatmasks()

      Format mask definitions fot the columns ("short","medium","long","dec2",...,null)

    - #### setFormatmasks

          public void setFormatmasks(java.lang.String[] formatmasks)

    - #### getTimezones

          public java.lang.String[] getTimezones()

      Time zone definitions for these columns representing date or time values.

    - #### setTimezones

          public void setTimezones(java.lang.String[] timezones)

    - #### getTitleTooltips

          public java.lang.String[] getTitleTooltips()

      Tooltips that are defined for the title columns.

    - #### setTitleTooltips

          public void setTitleTooltips(java.lang.String[] titleTooltips)

    - #### getSearchenableds

          public boolean[] getSearchenableds()

      Indicator for each column, if a right-mouse-button-search in the title column is enabled.

    - #### setSearchenableds

          public void setSearchenableds(boolean[] searchenableds)

    - #### getControltypes

          public int[] getControltypes()

      Explicit definition of control type used for a certain columns. User the CONTROLTYPE_* defintions.

    - #### setControltypes

          public void setControltypes(int[] controltypes)

    - #### getStructureChangeIndex

          public int getStructureChangeIndex()

      A change of the structure is indicated by the change index.

Copyright © CaptainCasa Gmbh. All Rights Reserved.